summaryrefslogtreecommitdiff
path: root/openwrt/package/base-files/default/usr/share/udhcpc
diff options
context:
space:
mode:
authorFelix Fietkau <nbd@openwrt.org>2005-07-17 22:52:59 +0000
committerFelix Fietkau <nbd@openwrt.org>2005-07-17 22:52:59 +0000
commit8cf55878a814d1a6708817adce2819373ae3883e (patch)
tree56a8d56d6b30807c4241db07dd6ac9263eedd4e6 /openwrt/package/base-files/default/usr/share/udhcpc
parenta9a51421ce9d685576836537b2776be6c788785f (diff)
downloadmtk-20170518-8cf55878a814d1a6708817adce2819373ae3883e.zip
mtk-20170518-8cf55878a814d1a6708817adce2819373ae3883e.tar.gz
mtk-20170518-8cf55878a814d1a6708817adce2819373ae3883e.tar.bz2
move target/default/target_skeleton into package/base-files, put all the default files in ipkg packages, cleanup some junk in toolchain/, toolchain/ no longer changes build_mipsel/root
SVN-Revision: 1494
Diffstat (limited to 'openwrt/package/base-files/default/usr/share/udhcpc')
-rwxr-xr-xopenwrt/package/base-files/default/usr/share/udhcpc/default.script38
1 files changed, 38 insertions, 0 deletions
diff --git a/openwrt/package/base-files/default/usr/share/udhcpc/default.script b/openwrt/package/base-files/default/usr/share/udhcpc/default.script
new file mode 100755
index 0000000..6c64aa3
--- /dev/null
+++ b/openwrt/package/base-files/default/usr/share/udhcpc/default.script
@@ -0,0 +1,38 @@
+#!/bin/sh
+# udhcpc script edited by Tim Riker <Tim@Rikers.org>
+# (slightly modified for openwrt)
+
+[ -z "$1" ] && echo "Error: should be run by udhcpc" && exit 1
+
+RESOLV_CONF="/tmp/resolv.conf"
+
+case "$1" in
+ deconfig)
+ ifconfig $interface 0.0.0.0
+ ;;
+
+ renew|bound)
+ ifconfig $interface $ip \
+ netmask ${subnet:-255.255.255.0} \
+ broadcast ${broadcast:-+}
+
+ if [ -n "$router" ] ; then
+ echo "deleting routers"
+ while route del default gw 0.0.0.0 dev $interface ; do
+ :
+ done
+
+ for i in $router ; do
+ route add default gw $i dev $interface
+ done
+ fi
+
+ echo -n > $RESOLV_CONF
+ ${domain:+echo search $domain} >> $RESOLV_CONF
+ for i in $dns ; do
+ echo adding dns $i
+ echo nameserver $i >> $RESOLV_CONF
+ done
+ ;;
+esac
+exit 0